apiVersion: tekton.dev/v1
kind: TaskRun
metadata:
  annotations:
    pipeline.tekton.dev/release: f3dd478
    tekton.dev/tags: kubevirt
    tekton.dev/categories: Automation
    artifacthub.io/provider: Red Hat
    chains.tekton.dev/signed: 'true'
    tekton.dev/platforms: linux/amd64
    tekton.dev/pipelines.minVersion: 0.43.0
    artifacthub.io/category: integration-delivery
    artifacthub.io/recommendations: |
      - url: https://kubevirt.io/
    artifacthub.io/maintainers: |
      - name: KubeVirt Tekton tasks maintainers
        email: kubevirt-tekton-tasks@redhat.com
    tekton.dev/displayName: OpenShift Virtualization Windows UEFI installer
  resourceVersion: '2798120440'
  name: windows11-installer-run-ncw5d-create-base-dv
  uid: 13c9353f-4661-41d8-98b9-e3f1b1d9cd9a
  creationTimestamp: '2024-03-27T08:47:03Z'
  generation: 1
  managedFields:
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:tekton.dev/platforms': {}
            'f:artifacthub.io/category': {}
            .: {}
            'f:artifacthub.io/recommendations': {}
            'f:pipeline.tekton.dev/release': {}
            'f:artifacthub.io/maintainers': {}
            'f:tekton.dev/displayName': {}
            'f:tekton.dev/tags': {}
            'f:tekton.dev/categories': {}
            'f:artifacthub.io/provider': {}
            'f:tekton.dev/pipelines.minVersion': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/version': {}
            'f:tekton.dev/memberOf': {}
            'f:tekton.dev/pipeline': {}
            'f:tekton.dev/pipelineRun': {}
            'f:tekton.dev/pipelineTask': {}
            'f:tekton.dev/task': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"8d445e3f-09d8-4f30-9e6e-d6d1d346a78a"}': {}
        'f:spec':
          .: {}
          'f:params': {}
          'f:serviceAccountName': {}
          'f:taskRef':
            .: {}
            'f:kind': {}
            'f:params': {}
            'f:resolver': {}
      manager: openshift-pipelines-controller
      operation: Update
      time: '2024-03-27T08:47:03Z'
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:chains.tekton.dev/signed': {}
          'f:finalizers':
            .: {}
            'v:"chains.tekton.dev"': {}
      manager: openshift-pipelines-chains-controller
      operation: Update
      time: '2024-03-27T08:47:08Z'
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:completionTime': {}
          'f:conditions': {}
          'f:podName': {}
          'f:startTime': {}
          'f:steps': {}
          'f:taskSpec':
            .: {}
            'f:description': {}
            'f:params': {}
            'f:results': {}
            'f:steps': {}
      manager: openshift-pipelines-controller
      operation: Update
      subresource: status
      time: '2024-03-27T08:47:08Z'
  namespace: ksimon
  ownerReferences:
    - apiVersion: tekton.dev/v1
      blockOwnerDeletion: true
      controller: true
      kind: PipelineRun
      name: windows11-installer-run-ncw5d
      uid: 8d445e3f-09d8-4f30-9e6e-d6d1d346a78a
  finalizers:
    - chains.tekton.dev
  labels:
    app.kubernetes.io/managed-by: tekton-pipelines
    app.kubernetes.io/version: 4.15.0
    tekton.dev/memberOf: tasks
    tekton.dev/pipeline: windows11-installer-run-ncw5d
    tekton.dev/pipelineRun: windows11-installer-run-ncw5d
    tekton.dev/pipelineTask: create-base-dv
    tekton.dev/task: modify-data-object
spec:
  params:
    - name: manifest
      value: |
        apiVersion: cdi.kubevirt.io/v1beta1
        kind: DataVolume
        metadata:
          annotations:
            "cdi.kubevirt.io/storage.bind.immediate.requested": "true"
          labels:
            "instancetype.kubevirt.io/default-instancetype-kind": VirtualMachineClusterInstancetype
            "instancetype.kubevirt.io/default-instancetype": u1.large
            "instancetype.kubevirt.io/default-preference-kind": VirtualMachineClusterPreference
            "instancetype.kubevirt.io/default-preference": windows.11
          name: win11
          namespace: openshift-virtualization-os-images
        spec:
          storage: {}
          source:
            pvc:
              name: windows-efi-root-disk-jw7dd
              namespace: ksimon
    - name: waitForSuccess
      value: 'true'
    - name: allowReplace
      value: 'true'
  serviceAccountName: pipeline
  taskRef:
    kind: Task
    params:
      - name: catalog
        value: redhat-tekton-tasks
      - name: type
        value: artifact
      - name: kind
        value: task
      - name: name
        value: modify-data-object
      - name: version
        value: 4.15.0
    resolver: hub
  timeout: 1h0m0s
status:
  completionTime: '2024-03-27T08:47:08Z'
  conditions:
    - lastTransitionTime: '2024-03-27T08:47:08Z'
      message: '"step-modify-data-object" exited with code 2'
      reason: Failed
      status: 'False'
      type: Succeeded
  podName: windows11-installer-run-ncw5d-create-base-dv-pod
  startTime: '2024-03-27T08:47:03Z'
  steps:
    - container: step-modify-data-object
      imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
      name: modify-data-object
      terminated:
        containerID: 'cri-o://08c52fb7558cdafea89d68111b17eda0d347530eabf15e456d67949d120d9ed3'
        exitCode: 2
        finishedAt: '2024-03-27T08:47:07Z'
        reason: Error
        startedAt: '2024-03-27T08:47:07Z'
  taskSpec:
    description: This task modifies a data object (DataVolume or DataSource). It can optionally wait until CDI imports finish.
    params:
      - default: ''
        description: YAML manifest of a data object to be created.
        name: manifest
        type: string
      - default: ''
        description: Namespace where to create the data object. (defaults to manifest namespace or active namespace)
        name: namespace
        type: string
      - default: 'false'
        description: Set to "true" or "false" if container should wait for Ready condition of the data object.
        name: waitForSuccess
        type: string
      - default: 'false'
        description: Allow replacing an already existing data object (same combination name/namespace). Allowed values true/false
        name: allowReplace
        type: string
      - default: 'false'
        description: 'Set to `true` or `false` if task should delete the specified DataVolume, DataSource or PersistentVolumeClaim. If set to ''true'' the ds/dv/pvc will be deleted and all other parameters are ignored.'
        name: deleteObject
        type: string
      - default: ''
        description: Kind of the data object to delete. This parameter is used only for Delete operation.
        name: deleteObjectKind
        type: string
      - default: ''
        description: Name of the data object to delete. This parameter is used only for Delete operation.
        name: deleteObjectName
        type: string
    results:
      - description: The name of the data object that was created.
        name: name
        type: string
      - description: The namespace of the data object that was created.
        name: namespace
        type: string
    steps:
      - args:
          - '--output=yaml'
        command:
          - modify-data-object
        computeResources: {}
        env:
          - name: DATA_OBJECT_MANIFEST
            value: |
              apiVersion: cdi.kubevirt.io/v1beta1
              kind: DataVolume
              metadata:
                annotations:
                  "cdi.kubevirt.io/storage.bind.immediate.requested": "true"
                labels:
                  "instancetype.kubevirt.io/default-instancetype-kind": VirtualMachineClusterInstancetype
                  "instancetype.kubevirt.io/default-instancetype": u1.large
                  "instancetype.kubevirt.io/default-preference-kind": VirtualMachineClusterPreference
                  "instancetype.kubevirt.io/default-preference": windows.11
                name: win11
                namespace: openshift-virtualization-os-images
              spec:
                storage: {}
                source:
                  pvc:
                    name: windows-efi-root-disk-jw7dd
                    namespace: ksimon
          - name: DATA_OBJECT_NAMESPACE
          - name: WAIT_FOR_SUCCESS
            value: 'true'
          - name: ALLOW_REPLACE
            value: 'true'
          - name: DELETE_OBJECT
            value: 'false'
          - name: DELETE_OBJECT_KIND
          - name: DELETE_OBJECT_NAME
        image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
        name: modify-data-object
